Package ru.bitel.bgbilling.plugins.fias.server.bean

# Class HouseLoadManager

java.lang.Object
ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager
ru.bitel.bgbilling.plugins.fias.server.bean.HouseLoadManager

    public class HouseLoadManager
    extends BaseLoadManager

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

  `ADDRESS_CITY, ADDRESS_HOUSE, ADDRESS_STREET, con, FIAS_CITY_MAP, FIAS_HOUSE_MAP, FIAS_HOUSE_TEMP, FIAS_STREET_MAP, FIAS_STREET_TEMP, logger, PROFILE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `HouseLoadManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addAllHouse()` |
  `void` | `createNewTempTable​(Street street)` |
  `void` | `createNewTempTableForCity​(City city)` |
  `java.util.List<House>` | `findHouseInFias​(House house)` |
  `House` | `getNextHouse​(int streetId)` |
  `Street` | `getNonSyncStreet()` |
  `int` | `getStreetCountWithoutSync()` |
  `void` | `setHouseAndFrac​(House house)` |
  `void` | `syncHouse​(java.util.List<City> citys, boolean loadNew)` |
  `void` | `syncHouseFromMapTable()` |
  `void` | `updateHouse​(House house)` |
  `void` | `updateStreetStatus​(int streetId, int status)` |

  ### Methods inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

  `clearFiasTable, exceptionLog, executeQuery, executeQuery, loadAddressObjFromRs, loadCityFromRs`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HouseLoadManager

    public HouseLoadManager​(java.sql.Connection con)

- ## Method Details

  - ### getStreetCountWithoutSync

    public int getStreetCountWithoutSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getNonSyncStreet

    public Street getNonSyncStreet() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### createNewTempTable

    public void createNewTempTable​(Street street) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateHouse

    public void updateHouse​(House house) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addAllHouse

    public void addAllHouse() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getNextHouse

    public House getNextHouse​(int streetId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### findHouseInFias

    public java.util.List<House> findHouseInFias​(House house) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateStreetStatus

    public void updateStreetStatus​(int streetId, int status)

  - ### setHouseAndFrac

    public void setHouseAndFrac​(House house)

  - ### syncHouse

    public void syncHouse​(java.util.List<City> citys, boolean loadNew) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### createNewTempTableForCity

    public void createNewTempTableForCity​(City city) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### syncHouseFromMapTable

    public void syncHouseFromMapTable()